#!/bin/bash

# debug/release
BUILDMODE=${BUILDMODE:-debug}
# LOCAL/DEV/PROD
APP_TITLE=${APP_TITLE:-}
APP_URI=${APP_URI:-}
APP_COLOR=${APP_COLOR:-}


cat  << EOF > android/local.properties
flutter.sdk=/home/developer/flutter
sdk.dir=/home/developer/android
flutter.buildMode=${BUILDMODE}
flutter.versionName=
flutter.versionCode=
EOF

cat  << EOF > android/key.properties
storePassword=jenkins.fteamdev
keyPassword=jenkins.fteamdev
keyAlias=jenkins.fteamdev
storeFile=/var/run/secrets/signing_keystore.jks
EOF

pwd

flutter build appbundle --dart-define="APP_TITLE=${APP_TITLE}" --dart-define="APP_URI=${APP_URI}" --dart-define="APP_COLOR=${APP_COLOR}"

